Get the retake statistics of the episodes

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/episodes/retake-stats

Get the number of retakes and of done tasks of a project, for each task type and each episode. The response also gives the change in time and the maximum number of retakes. A vendor gets the statistics of their tasks only. Clients cannot use this route.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

Responses

  • 200 application/json

    The retake statistics

    Hide response attribute Show response attribute object
    • * object Additional properties
      Hide * attributes Show * attributes object
      • max_retake_count integer
      • evolution object
        Hide evolution attribute Show evolution attribute object
        • * object Additional properties
          Hide * attributes Show * attributes object
          • retake object
            Hide retake attributes Show retake attributes object
            • count integer
            • frames integer
            • drawings integer
          • done object
            Hide done attributes Show done attributes object
            • count integer
            • frames integer
            • drawings integer
      • done object
        Hide done attributes Show done attributes object
        • count integer
        • frames integer
        • drawings integer
      • retake object
        Hide retake attributes Show retake attributes object
        • count integer
        • frames integer
        • drawings integer
      • other object
        Hide other attributes Show other attributes object
        • count integer
        • frames integer
        • drawings integer
  • 403

    You do not have access to this project, or you are a client

GET /data/projects/{project_id}/episodes/retake-stats
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/retake-stats" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/retake-stats"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "episodeId1": {
    "max_retake_count": 4,
    "evolution": {
      "1": {
        "retake": {
          "count": 80,
          "frames": 7900,
          "drawings": 8000
        },
        "done": {
          "count": 117,
          "frames": 3900,
          "drawings": 8000
        }
      }
    },
    "done": {
      "count": 197,
      "frames": 16090,
      "drawings": 16090
    },
    "retake": {
      "count": 0,
      "frames": 0,
      "drawings": 0
    },
    "other": {
      "count": 5,
      "frames": 185,
      "drawings": 185
    }
  },
  "all": {
    "all": {
      "max_retake_count": 4,
      "done": {
        "count": 500,
        "frames": 50000,
        "drawings": 50000
      },
      "retake": {
        "count": 100,
        "frames": 10000,
        "drawings": 10000
      },
      "other": {
        "count": 10,
        "frames": 1000,
        "drawings": 1000
      }
    }
  }
}